[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.MoveExtend

Moves the selected cell or extends a selection using the specified column and row values.

## Declaration

Source position: grids.pas line 1155

`protected function TCustomGrid.MoveExtend(`
`Relative: Boolean;`
`DCol: Integer;`
`DRow: Integer;`
`ForceFullyVisible: Boolean = True`
`):Boolean;`

## Arguments

`Relative` |  | True if the selection is extended by the relative number of columns and rows. False to move the selection to the specified cell coordinates.
`DCol` |  | Column number for the selection, or the delta when a selection is extended.
`DRow` |  | Row number for the selection, or the delta when a selection is extended.
`ForceFullyVisible` |  | True if the cell in DCol and DRow must be fully visible after the selection change.

## Function result

True if the selection was moved or extended in the method.

## Description

Calls TryMoveSelection to perform the selection change using the specified arguments. No actions are performed in the method when:

- FixedGrid is True. All cells are fixed and cannot be selected.
- DCol and DRow are not valid for the Col, Row, ColCount or RowCount for the grid control.

## See also

TCustomGrid.TryMoveSelection |  | Tries to move the cell selection by or to the specified column and row values.
TCustomGrid.SelectCell |  | Determines whether the specified cell can be selected in the grid control.
TCustomGrid.FixedGrid |  | Determines if all columns or all rows in the grid are fixed.
TCustomGrid.Col |  | Column index for the selected grid cell.
TCustomGrid.ColCount |  | Number of columns in the grid.
TCustomGrid.Row |  | Row number for the selected grid cell.
TCustomGrid.RowCount |  | Number of rows in the grid.